/* Mobile first design */
/* Custom Properties */

:root{
    --first-color: #E9E9E9;
    --secondary-color: rgba(222,185,45,0.9);
    --third-color: #DE9427;    
    --joker-color: #1f1f1f;
    --joker-color2: #454648;
    --text-color-primary: #E9E9E9;
    --text-color-secondary: #000;
    --white-color: #fff;
    --black-alpha-color: rgba(0,0,0,0.3);
    --link-color: #140374;
    --font: 'STIX Two Text', serif;    
    --max-width: 1200px;
    --header-height: 8rem;
    --back-color: #1f1f1f;
}

/* Reset */

html{
    box-sizing: border-box;
    font-family: var(--font);
    font-size: 62.5%;
    scroll-behavior: smooth;
}

.body{
    margin: 0;
    overflow-x: hidden;
}

.body.activado{
   overflow-y: hidden;  
}

*,
*::after,
*::before{
    box-sizing: inherit;
}

a{
    color: var(--link-color);
    transition: all 0.5s ease-out;
}

a:hover{
    opacity: 0.75;
}

h1{
    margin:0;
    font-size: 3rem;
}

h2{
    margin:0;
    font-size: 2.7rem;
}

h3{
    margin:0;
    font-size: 1.5rem;
}

h4{
    margin:0;
    font-size: 1.25rem;
}

h5{
    margin:0;
    font-size: 1rem;
}

h6{
    margin:0;
    font-size: 0.85rem;
}

img{
    width: 100%;
    height: auto;
}

p{
    line-height: 1.6;
}

/* Components */

/* Hero Image */
.hero-image{
    /* background-image: var(--image); */
    background-image: url(../img/home/hero-img-mob.jpg);   
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: var(--attachmentt);
}

.hero-image-opacity{
    width: 100%;
    min-height: calc(100vh - var(--header-height));
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: var(--opacity-color);
}

/* .hero-image-content{
    margin-top: 5rem;
} */

.hero-image-title{
    font-size: 7.5vw;
    color: var(--first-color);
}


/* .menu{
    display:none;
} */


/* Utilities */
.box-shadow-1{
    box-shadow: 4px 4px 16px rgba(0,0,0,0.25);
}

.btn-contacto{
    margin-top: 2rem;
    border-radius: 0.5rem;
    padding: 1rem;
    display: inline-block;
    width: 170px;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    font-size: 1.3rem;
    color: var(--secondary-color);
    background-color: var(--joker-color);
}

.container{
    margin-left: auto;
    margin-right: auto;
    max-width: var(--max-width);
}

.grey-scale {
    filter: grayscale(1);
}

/* .no-padding{
    width: 100vw;
    margin-left: calc(-1 * ((100vw - 100%) / 2));
    height: 50px;
} */

.none{
    display: none;
}

.borde{
  border: 1px solid red;
}

.section{
    padding: 2.7rem 1.4rem;  
}

.section-title{
    border-top: thin solid var(--third-color);
    border-bottom: thin solid var(--third-color);
    width: 250px;
    margin: 2.6rem auto;
    padding: 0.7rem 1.4rem;
    text-align: center;
}

.text-center{
    text-align: center;
}

.text-left{
    text-align: left;
}

.text-right{
    text-align: right;
}

@media screen and (min-width: 1024px) {
    .full-lg-screen {
      width: 100%;
      min-height: 100vh;
    }
  
    .text-lg-center {
      text-align: center;
    }
  
    .text-lg-left {
      text-align: left;
    }
  
    .text-lg-right {
      text-align: right;
    }
}


/* Site Styles */

.icon-whatsapp{
  width: 64px;
  height: 64px;
  border-radius: 50%;
}

.btn-wsp{
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 9;
  box-shadow:  rgba(0,0,0,0.3);
}

.header{
     /* position: sticky;
    left:0;  */
    /* bottom: 0;  */
    /* z-index: 1;  */
    width: 100%;
    height: var(--header-height);
    background-color: var(--joker-color);
    padding: 0.7rem 2rem;
}

.header.activado{
    position: fixed;
    left:0;
}


.logo {
    width: auto;
    display: flex;
    align-items: center;
}

.logoimg{
    width: 70px;
    height: auto;
}

.logoNombre{
    padding-left: 10px;
    width: auto;
    height: 50px;
    /* width: 150%; */
}



.header > .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.menu-btn{
    outline: thin solid var(--joker-color);
    border:0;
    background-color: var(--joker-color);
    cursor: pointer;
}

.menu-btn svg{
    fill: var(--third-color);
}

.menu{
    position: fixed;
    width: 100%;
    min-height: calc(100% - var(--header-height));
    /* height: calc(100% - 9rem); */
    display:flex;
    flex-direction: column;
    justify-content: space-evenly;
    position: fixed;
    left: 0;
    top: var(--header-height);
    background-color: var(--third-color);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.5s ease;    
}

.menu a{
    padding: 1rem;
    font-size: 1.5rem;
    font-weight: bold;
    text-decoration:none;
    text-align: center;
    color: var(--joker-color);
}

.menu a:hover{
    background-color: var(--joker-color);
    color: var(--third-color);
}

.menu.is-active{
    opacity: 1;
    pointer-events: auto;   
}

p{
    font-size: 1.7rem;
}

/* About */
.about{
  background-color: var(--first-color);
}

.about > article{
    margin-bottom: 2rem;
}

/* Servicios */


.services{
    background-color: var(--joker-color);
    color: var(--text-color-primary);
    text-align: center;
}

.service-card{
    margin: 1rem auto;
    padding: 1rem;
    text-align: center;
}


.service-card img{
    width: auto;
    margin-bottom: 1.5rem;
}

.service-card svg{
  fill: var(--secondary-color);
}

.jp{
  fill: red;
}


@media screen and (min-width: 1024px) {
    .about {
      display: grid;
      grid-template-columns: repeat(2, 40%);
      justify-content: space-between;
      align-content: center;    }

    .container-news{
      display: grid;
      grid-template-columns: repeat(3, 30%);
      justify-content: space-between;
      align-content: center;
      grid-gap: 1em;
      /* box-shadow: 60px -16px teal; */
      

    }

      
}

/* News */

.news{
  background-color: var(--first-color);
}

/* .container-news{
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
} */

.news-card{
    margin: 1rem auto;
    padding: 1rem;
    text-align: center;
    
}

.news-card > img{
    margin-bottom: 1.5rem;
    
}

.container-cards-news img{
  border-radius: 2%;
  
}

.container-cards-news{ 
  margin:auto;
  /* border: 1px solid blue;  */
  width: 30rem;  
  margin-top: 19px;
  background-color: var(--white-color);
  border-radius: 2%;
  box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2);
  
}

.card-title{
  margin-top: 3px;
  margin-bottom: 3px;
  padding-left: 7px;
  padding-right: 7px;
  font-size: 22px;
  text-align: left;

}

.card-text{
  padding: 7px;
  
  /* width: 300px; */
}

.ellipsis {
  /* text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden; */
  font-size: 13px;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
 }

 .post-link{
   font-size: 12px;
   padding-left: 7px;
   text-decoration: none;
 }

 .card-footer{
   display: flex;
   justify-content: space-between;
   padding: 11px;   

 }

/*links de interes*/

.link-int{
    background-color: var(--joker-color);
    color: var(--text-color-primary);
    text-align:left;    
  }

.img-link{
  margin-bottom: 1.4rem;
}
.link-card img{
  width: 30px;
  height: 30px;
}

.link-card a{
  font-size: 1.4rem;
  text-decoration: none;
  color: var(--first-color); 
}

/* Contacto */

.contacto{
    /* background-color: var(--joker-color);
    color: var(--text-color-primary); */
    background-color: var(--first-color);
    text-align: center;
}

/* Formulario Contacto */

.img-contacto{
    width: 30% ;
    display: block;
    border-radius: 5%;
    margin:auto;
    margin-bottom: 2rem;
  }
  
  /* .formulario-contacto {
    margin-bottom: 4rem;
  } */
  .formulario-contacto h2 {
    padding-top: 4rem;
    padding-bottom: 2rem;
    font-size: 3.3rem;
    color: var(--clr-primary);
  }
  
  form {
    text-align: center;  
    font-size: 1.4em;
    padding-left: 1rem;
  }
  
  ::placeholder {
    color: var(--clr-primaryBackground);
    /* font-size: 1.4em; */
    font-style: italic;
    
  }
  
  .textarea {
    width: 90%;
    margin: 0.5rem 0;
    background: #f2f3f4;
    border: 3px solid transparent;
    border-radius: 3px;
    /* height: 45px; */
    /* line-height: 45px;   */
    transition: 0.3s ease all;
    resize: none;
    padding-left: 1rem;
    /* color: var(--clr-primaryBackground);
    font-size: 1.5em;
    font-style: italic; */
  }
  
  .textarea:focus {
    border: 3px solid #0075ff;
    outline: none;
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 0.4);
  }
  
  .textarea-error {
    font-size: 12px;
    margin-bottom: 0;
    display: none;
  }
  
  .textarea-error-activo {
    display: block;
  }
  
  .formulario__input {
    width: 90%;
    margin: 0.5rem 0;
    /* padding: 0.7rem; */
    background: #f2f3f4;
    border: 3px solid transparent;
    border-radius: 3px;
    height: 45px;
    line-height: 45px;
    transition: 0.3s ease all;
    padding-left: 1rem;
    /* color: var(--clr-primaryBackground);
    font-size: 1.5em;
    font-style: italic; */
  }
  
  .formulario__input:focus {
    border: 3px solid #0075ff;
    outline: none;
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 0.4);
  }
  
  .formulario__input-error {
    font-size: 12px;
    margin-bottom: 0;
    display: none;
  }
  
  .formulario__input-error-activo {
    display: block;
  }
  
  .formulario__validacion-estado {
    position: absolute;
    right: 10px;
    bottom: 15px;
    z-index: 100;
    font-size: 16px;
    opacity: 0;
  }
  
  .formulario__grupo-input {
    position: relative;
  }
  
  .formulario__mensaje {
    height: 45px;
    width: 50%;
    line-height: 45px;
    background: #f66060;
    padding: 0 15px;
    border-radius: 3px;
    display: none;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 3px;
  }
  
  .formulario__mensaje-activo {
    display: block;
  }
  
  .formulario__mensaje p {
    margin: 0;
  }
  
  /* ----- -----  Estilos para Validacion ----- ----- */
  .formulario__grupo-correcto .formulario__validacion-estado {
    color: #1ed12d;
    opacity: 1;
  }
  
  .formulario__grupo-incorrecto .formulario__label {
    color: #bb2929;
  }
  
  .formulario__grupo-incorrecto .formulario__validacion-estado {
    color: #bb2929;
    opacity: 1;
  }
  
  .formulario__grupo-incorrecto .formulario__input {
    border: 3px solid #bb2929;
  }
  
  .formulario__grupo-incorrecto .textarea {
    border: 3px solid #bb2929;
  }
  
  .formulario__validacion-estado {
    position: absolute;
    right: 10px;
    bottom: 2rem;
    z-index: 100;
    font-size: 16px;
    opacity: 0;
  }
  
  .formulario__checkbox {
    margin-right: 10px;
  }
  
  .formulario__mensaje-exito {
    font-size: 14px;
    color: #119200;
    display: none;
  }
  
  .formulario__mensaje-exito-activo {
    display: block;
  }
  
  .formulario__grupo-btn-enviar {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  .formulario__btn {
    height: 45px;
    line-height: 45px;
    width: 30%;
    background: #000;
    color: #fff;
    font-weight: bold;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    transition: 0.1s ease all;
  }
  
  #btnEnviarCotizacion {
    background-color: var(--joker-color);
    color:  var(--third-color);
    width: 90%;
    padding: 2rem;
    font-size: 2rem;
  }

  .footer{
    background-color: var(--joker-color);
    color: var(--text-color-primary);
  }

  .footer div{
    padding: 1rem;
  }

  .footer-logo{
    width: 100%;  
    text-align: center;
  }

  .footer img{
    width: 132px;
    height: 150px;        
  }  

  .footer-info-contacto{
    text-align: center;
  }


 .footer-info-contacto .numero-footer{
    color: var(--third-color);
    font-size: 2.9rem;
  }

 
  footer p{
    color: var(--text-color-primary);
    font-size: 1.3rem;
    margin:0;
    font-weight: bold;
  }

  .footer-horario{
    text-align: center;
  }

  .footer-rrss{
    text-align: center;
  }  

  .img-rrss{
    width: 100%;
    margin-left: auto;
    margin-right: auto;    
  }

  .img-rrss img{
    margin: 0 1rem;
    width: 10%;
    height: auto;    
  }

  .footer-copyright{
    text-align: center;
    padding-bottom: 7px;
  }

  .footer-copyright a{
    text-decoration: none;
    color:var(--text-color-primary)
  }

  .footer-copyright{
    background-color: #1f1f1f;
    color: var(--text-color-primary);

}
  
